<?php
/* Autor...:  */
/* Esquema.: VTA_Orden.xml */
/* Generado: 2021-12-29 07:38:13 */

/* Metodos de acceso a los campos de la tabla VTA_Orden */
abstract class BaseVTA_OrdenBN
{
    /* Campos de la tabla */
    private $i_OrdenId;    // OrdenId: ( no definido )
    private $i_CiaCod;    // CiaCod: ( no definido )
    private $i_IdSucursal;    // IdSucursal: ( no definido )
    private $s_PtoVtaCod;    // PtoVtaCod: ( no definido )
    private $i_IdCaja;    // IdCaja: ( no definido )
    private $i_IdTurno;    // IdTurno: ( no definido )
    private $i_IdProyecto;    // IdProyecto: ( no definido )
    private $i_OrdenTipoId;    // OrdenTipoId: ( no definido )
    private $i_OrdenTipoComercialId;    // OrdenTipoComercialId: ( no definido )
    private $i_OrdenTipoClasificacionId;    // OrdenTipoClasificacionId: ( no definido )
    private $s_OrdenNum;    // OrdenNum: ( no definido )
    private $i_OrdenPadre;    // OrdenPadre: ( no definido )
    private $d_OrdenFecha;    // OrdenFecha: ( no definido )
    private $d_OrdenVenc;    // OrdenVenc: ( no definido )
    private $d_FechaInicioAlq;    // FechaInicioAlq: ( no definido )
    private $d_FechaFinAlq;    // FechaFinAlq: ( no definido )
    private $s_AlmacenCod;    // AlmacenCod: ( no definido )
    private $s_AlmacenDespacho;    // AlmacenDespacho: ( no definido )
    private $i_ClienteId;    // ClienteId: ( no definido )
    private $s_ClienteNombre;    // ClienteNombre: ( no definido )
    private $s_ClienteDocCod;    // ClienteDocCod: ( no definido )
    private $s_ClienteDocNum;    // ClienteDocNum: ( no definido )
    private $s_ClienteSucursal;    // ClienteSucursal: ( no definido )
    private $s_FactDirec1;    // FactDirec1: ( no definido )
    private $s_FactDirec2;    // FactDirec2: ( no definido )
    private $s_FactDirec3;    // FactDirec3: ( no definido )
    private $s_FactCiudad;    // FactCiudad: ( no definido )
    private $s_FactEstado;    // FactEstado: ( no definido )
    private $s_FactPais;    // FactPais: ( no definido )
    private $s_VendedorCliente;    // VendedorCliente: ( no definido )
    private $s_VendedorOrden;    // VendedorOrden: ( no definido )
    private $s_PrecioNivel;    // PrecioNivel: ( no definido )
    private $s_FactRegla;    // FactRegla: ( no definido )
    private $s_ContactoMedio;    // ContactoMedio: ( no definido )
    private $s_ContactoNombre;    // ContactoNombre: ( no definido )
    private $s_CondicionVentaId;    // CondicionVentaId: ( no definido )
    private $s_FormaPagoDesc;    // FormaPagoDesc: ( no definido )
    private $s_ValidezOrden;    // ValidezOrden: ( no definido )
    private $s_PlazaEntregaOrden;    // PlazaEntregaOrden: ( no definido )
    private $s_CondicionVenta;    // CondicionVenta: ( no definido )
    private $i_DiasAlquiler;    // DiasAlquiler: ( no definido )
    private $s_OrdenCompraRef;    // OrdenCompraRef: ( no definido )
    private $s_ReferenciaTipoDocId;    // ReferenciaTipoDocId: ( no definido )
    private $s_DocReferenciaTipo;    // DocReferenciaTipo: ( no definido )
    private $s_DocReferenciaNum;    // DocReferenciaNum: ( no definido )
    private $s_DocReferenciaId;    // DocReferenciaId: ( no definido )
    private $d_DocReferenciaFecha;    // DocReferenciaFecha: ( no definido )
    private $s_OrdenCredito;    // OrdenCredito: ( no definido )
    private $s_OrdenCreditoEstado;    // OrdenCreditoEstado: ( no definido )
    private $s_OrdenImpuestoFlag;    // OrdenImpuestoFlag: ( no definido )
    private $s_OrdenExoneradoFlag;    // OrdenExoneradoFlag: ( no definido )
    private $s_MonedaCod;    // MonedaCod: ( no definido )
    private $f_MonedaCambioValor;    // MonedaCambioValor: ( no definido )
    private $f_OrdenVenta;    // OrdenVenta: ( no definido )
    private $f_OrdenVentaMN;    // OrdenVentaMN: ( no definido )
    private $s_DsctoTipoCod;    // DsctoTipoCod: ( no definido )
    private $s_DsctoCod;    // DsctoCod: ( no definido )
    private $f_OrdenDscto;    // OrdenDscto: ( no definido )
    private $f_OrdenDsctoMN;    // OrdenDsctoMN: ( no definido )
    private $f_MontoAnticipo;    // MontoAnticipo: ( no definido )
    private $f_MontoAnticipoMN;    // MontoAnticipoMN: ( no definido )
    private $f_MontoExonerado;    // MontoExonerado: ( no definido )
    private $f_MontoExoneradoMN;    // MontoExoneradoMN: ( no definido )
    private $f_OrdenAfecto;    // OrdenAfecto: ( no definido )
    private $f_OrdenAfectoMN;    // OrdenAfectoMN: ( no definido )
    private $f_OrdenInafecto;    // OrdenInafecto: ( no definido )
    private $f_OrdenInafectoMN;    // OrdenInafectoMN: ( no definido )
    private $f_OrdenImpuesto;    // OrdenImpuesto: ( no definido )
    private $f_OrdenImpuestoMN;    // OrdenImpuestoMN: ( no definido )
    private $f_OrdenNeto;    // OrdenNeto: ( no definido )
    private $f_OrdenNetoMN;    // OrdenNetoMN: ( no definido )
    private $f_OrdenBaseImponible;    // OrdenBaseImponible: ( no definido )
    private $f_OrdenBaseImponibleMN;    // OrdenBaseImponibleMN: ( no definido )
    private $f_OrdenImpuestoConDscto;    // OrdenImpuestoConDscto: ( no definido )
    private $f_OrdenImpuestoConDsctoMN;    // OrdenImpuestoConDsctoMN: ( no definido )
    private $f_OrdenTotalaPagar;    // OrdenTotalaPagar: ( no definido )
    private $f_OrdenTotalaPagarMN;    // OrdenTotalaPagarMN: ( no definido )
    private $f_OrdenComision;    // OrdenComision: ( no definido )
    private $u_OrdenObs;    // OrdenObs: ( no definido )
    private $s_AnulacionComentario;    // AnulacionComentario: ( no definido )
    private $s_AdminComentario;    // AdminComentario: ( no definido )
    private $s_OrdenEstado;    // OrdenEstado: ( no definido )
    private $s_EstadoDevolucion;    // EstadoDevolucion: ( no definido )
    private $s_OrdenBloqueado;    // OrdenBloqueado: ( no definido )
    private $s_UsuarioCreacion;    // UsuarioCreacion: ( no definido )
    private $d_FechaCreacion;    // FechaCreacion: ( no definido )
    private $s_UsuarioActualizacion;    // UsuarioActualizacion: ( no definido )
    private $d_FechaActualizacion;    // FechaActualizacion: ( no definido )

    /* Establece el valor del campo OrdenId */
    public function setOrdenId( $i_OrdenId )
    {
        $this->i_OrdenId = $i_OrdenId;
    }

    /* Obtiene el valor del campo OrdenId */
    public function getOrdenId()
    {
        return $this->i_OrdenId;
    }

    /* Establece el valor del campo CiaCod */
    public function setCiaCod( $i_CiaCod )
    {
        $this->i_CiaCod = $i_CiaCod;
    }

    /* Obtiene el valor del campo CiaCod */
    public function getCiaCod()
    {
        return $this->i_CiaCod;
    }

    /* Establece el valor del campo IdSucursal */
    public function setIdSucursal( $i_IdSucursal )
    {
        $this->i_IdSucursal = $i_IdSucursal;
    }

    /* Obtiene el valor del campo IdSucursal */
    public function getIdSucursal()
    {
        return $this->i_IdSucursal;
    }

    /* Establece el valor del campo PtoVtaCod */
    public function setPtoVtaCod( $s_PtoVtaCod )
    {
        $this->s_PtoVtaCod = $s_PtoVtaCod;
    }

    /* Obtiene el valor del campo PtoVtaCod */
    public function getPtoVtaCod()
    {
        return $this->s_PtoVtaCod;
    }

    /* Establece el valor del campo IdCaja */
    public function setIdCaja( $i_IdCaja )
    {
        $this->i_IdCaja = $i_IdCaja;
    }

    /* Obtiene el valor del campo IdCaja */
    public function getIdCaja()
    {
        return $this->i_IdCaja;
    }

    /* Establece el valor del campo IdTurno */
    public function setIdTurno( $i_IdTurno )
    {
        $this->i_IdTurno = $i_IdTurno;
    }

    /* Obtiene el valor del campo IdTurno */
    public function getIdTurno()
    {
        return $this->i_IdTurno;
    }

    /* Establece el valor del campo IdProyecto */
    public function setIdProyecto( $i_IdProyecto )
    {
        $this->i_IdProyecto = $i_IdProyecto;
    }

    /* Obtiene el valor del campo IdProyecto */
    public function getIdProyecto()
    {
        return $this->i_IdProyecto;
    }

    /* Establece el valor del campo OrdenTipoId */
    public function setOrdenTipoId( $i_OrdenTipoId )
    {
        $this->i_OrdenTipoId = $i_OrdenTipoId;
    }

    /* Obtiene el valor del campo OrdenTipoId */
    public function getOrdenTipoId()
    {
        return $this->i_OrdenTipoId;
    }

    /* Establece el valor del campo OrdenTipoComercialId */
    public function setOrdenTipoComercialId( $i_OrdenTipoComercialId )
    {
        $this->i_OrdenTipoComercialId = $i_OrdenTipoComercialId;
    }

    /* Obtiene el valor del campo OrdenTipoComercialId */
    public function getOrdenTipoComercialId()
    {
        return $this->i_OrdenTipoComercialId;
    }

    /* Establece el valor del campo OrdenTipoClasificacionId */
    public function setOrdenTipoClasificacionId( $i_OrdenTipoClasificacionId )
    {
        $this->i_OrdenTipoClasificacionId = $i_OrdenTipoClasificacionId;
    }

    /* Obtiene el valor del campo OrdenTipoClasificacionId */
    public function getOrdenTipoClasificacionId()
    {
        return $this->i_OrdenTipoClasificacionId;
    }

    /* Establece el valor del campo OrdenNum */
    public function setOrdenNum( $s_OrdenNum )
    {
        $this->s_OrdenNum = $s_OrdenNum;
    }

    /* Obtiene el valor del campo OrdenNum */
    public function getOrdenNum()
    {
        return $this->s_OrdenNum;
    }

    /* Establece el valor del campo OrdenPadre */
    public function setOrdenPadre( $i_OrdenPadre )
    {
        $this->i_OrdenPadre = $i_OrdenPadre;
    }

    /* Obtiene el valor del campo OrdenPadre */
    public function getOrdenPadre()
    {
        return $this->i_OrdenPadre;
    }

    /* Establece el valor del campo OrdenFecha */
    public function setOrdenFecha( $d_OrdenFecha )
    {
        $this->d_OrdenFecha = $d_OrdenFecha;
    }

    /* Obtiene el valor del campo OrdenFecha */
    public function getOrdenFecha()
    {
        return $this->d_OrdenFecha;
    }

    /* Establece el valor del campo OrdenVenc */
    public function setOrdenVenc( $d_OrdenVenc )
    {
        $this->d_OrdenVenc = $d_OrdenVenc;
    }

    /* Obtiene el valor del campo OrdenVenc */
    public function getOrdenVenc()
    {
        return $this->d_OrdenVenc;
    }

    /* Establece el valor del campo FechaInicioAlq */
    public function setFechaInicioAlq( $d_FechaInicioAlq )
    {
        $this->d_FechaInicioAlq = $d_FechaInicioAlq;
    }

    /* Obtiene el valor del campo FechaInicioAlq */
    public function getFechaInicioAlq()
    {
        return $this->d_FechaInicioAlq;
    }

    /* Establece el valor del campo FechaFinAlq */
    public function setFechaFinAlq( $d_FechaFinAlq )
    {
        $this->d_FechaFinAlq = $d_FechaFinAlq;
    }

    /* Obtiene el valor del campo FechaFinAlq */
    public function getFechaFinAlq()
    {
        return $this->d_FechaFinAlq;
    }

    /* Establece el valor del campo AlmacenCod */
    public function setAlmacenCod( $s_AlmacenCod )
    {
        $this->s_AlmacenCod = $s_AlmacenCod;
    }

    /* Obtiene el valor del campo AlmacenCod */
    public function getAlmacenCod()
    {
        return $this->s_AlmacenCod;
    }

    /* Establece el valor del campo AlmacenDespacho */
    public function setAlmacenDespacho( $s_AlmacenDespacho )
    {
        $this->s_AlmacenDespacho = $s_AlmacenDespacho;
    }

    /* Obtiene el valor del campo AlmacenDespacho */
    public function getAlmacenDespacho()
    {
        return $this->s_AlmacenDespacho;
    }

    /* Establece el valor del campo ClienteId */
    public function setClienteId( $i_ClienteId )
    {
        $this->i_ClienteId = $i_ClienteId;
    }

    /* Obtiene el valor del campo ClienteId */
    public function getClienteId()
    {
        return $this->i_ClienteId;
    }

    /* Establece el valor del campo ClienteNombre */
    public function setClienteNombre( $s_ClienteNombre )
    {
        $this->s_ClienteNombre = $s_ClienteNombre;
    }

    /* Obtiene el valor del campo ClienteNombre */
    public function getClienteNombre()
    {
        return $this->s_ClienteNombre;
    }

    /* Establece el valor del campo ClienteDocCod */
    public function setClienteDocCod( $s_ClienteDocCod )
    {
        $this->s_ClienteDocCod = $s_ClienteDocCod;
    }

    /* Obtiene el valor del campo ClienteDocCod */
    public function getClienteDocCod()
    {
        return $this->s_ClienteDocCod;
    }

    /* Establece el valor del campo ClienteDocNum */
    public function setClienteDocNum( $s_ClienteDocNum )
    {
        $this->s_ClienteDocNum = $s_ClienteDocNum;
    }

    /* Obtiene el valor del campo ClienteDocNum */
    public function getClienteDocNum()
    {
        return $this->s_ClienteDocNum;
    }

    /* Establece el valor del campo ClienteSucursal */
    public function setClienteSucursal( $s_ClienteSucursal )
    {
        $this->s_ClienteSucursal = $s_ClienteSucursal;
    }

    /* Obtiene el valor del campo ClienteSucursal */
    public function getClienteSucursal()
    {
        return $this->s_ClienteSucursal;
    }

    /* Establece el valor del campo FactDirec1 */
    public function setFactDirec1( $s_FactDirec1 )
    {
        $this->s_FactDirec1 = $s_FactDirec1;
    }

    /* Obtiene el valor del campo FactDirec1 */
    public function getFactDirec1()
    {
        return $this->s_FactDirec1;
    }

    /* Establece el valor del campo FactDirec2 */
    public function setFactDirec2( $s_FactDirec2 )
    {
        $this->s_FactDirec2 = $s_FactDirec2;
    }

    /* Obtiene el valor del campo FactDirec2 */
    public function getFactDirec2()
    {
        return $this->s_FactDirec2;
    }

    /* Establece el valor del campo FactDirec3 */
    public function setFactDirec3( $s_FactDirec3 )
    {
        $this->s_FactDirec3 = $s_FactDirec3;
    }

    /* Obtiene el valor del campo FactDirec3 */
    public function getFactDirec3()
    {
        return $this->s_FactDirec3;
    }

    /* Establece el valor del campo FactCiudad */
    public function setFactCiudad( $s_FactCiudad )
    {
        $this->s_FactCiudad = $s_FactCiudad;
    }

    /* Obtiene el valor del campo FactCiudad */
    public function getFactCiudad()
    {
        return $this->s_FactCiudad;
    }

    /* Establece el valor del campo FactEstado */
    public function setFactEstado( $s_FactEstado )
    {
        $this->s_FactEstado = $s_FactEstado;
    }

    /* Obtiene el valor del campo FactEstado */
    public function getFactEstado()
    {
        return $this->s_FactEstado;
    }

    /* Establece el valor del campo FactPais */
    public function setFactPais( $s_FactPais )
    {
        $this->s_FactPais = $s_FactPais;
    }

    /* Obtiene el valor del campo FactPais */
    public function getFactPais()
    {
        return $this->s_FactPais;
    }

    /* Establece el valor del campo VendedorCliente */
    public function setVendedorCliente( $s_VendedorCliente )
    {
        $this->s_VendedorCliente = $s_VendedorCliente;
    }

    /* Obtiene el valor del campo VendedorCliente */
    public function getVendedorCliente()
    {
        return $this->s_VendedorCliente;
    }

    /* Establece el valor del campo VendedorOrden */
    public function setVendedorOrden( $s_VendedorOrden )
    {
        $this->s_VendedorOrden = $s_VendedorOrden;
    }

    /* Obtiene el valor del campo VendedorOrden */
    public function getVendedorOrden()
    {
        return $this->s_VendedorOrden;
    }

    /* Establece el valor del campo PrecioNivel */
    public function setPrecioNivel( $s_PrecioNivel )
    {
        $this->s_PrecioNivel = $s_PrecioNivel;
    }

    /* Obtiene el valor del campo PrecioNivel */
    public function getPrecioNivel()
    {
        return $this->s_PrecioNivel;
    }

    /* Establece el valor del campo FactRegla */
    public function setFactRegla( $s_FactRegla )
    {
        $this->s_FactRegla = $s_FactRegla;
    }

    /* Obtiene el valor del campo FactRegla */
    public function getFactRegla()
    {
        return $this->s_FactRegla;
    }

    /* Establece el valor del campo ContactoMedio */
    public function setContactoMedio( $s_ContactoMedio )
    {
        $this->s_ContactoMedio = $s_ContactoMedio;
    }

    /* Obtiene el valor del campo ContactoMedio */
    public function getContactoMedio()
    {
        return $this->s_ContactoMedio;
    }

    /* Establece el valor del campo ContactoNombre */
    public function setContactoNombre( $s_ContactoNombre )
    {
        $this->s_ContactoNombre = $s_ContactoNombre;
    }

    /* Obtiene el valor del campo ContactoNombre */
    public function getContactoNombre()
    {
        return $this->s_ContactoNombre;
    }

    /* Establece el valor del campo CondicionVentaId */
    public function setCondicionVentaId( $s_CondicionVentaId )
    {
        $this->s_CondicionVentaId = $s_CondicionVentaId;
    }

    /* Obtiene el valor del campo CondicionVentaId */
    public function getCondicionVentaId()
    {
        return $this->s_CondicionVentaId;
    }

    /* Establece el valor del campo FormaPagoDesc */
    public function setFormaPagoDesc( $s_FormaPagoDesc )
    {
        $this->s_FormaPagoDesc = $s_FormaPagoDesc;
    }

    /* Obtiene el valor del campo FormaPagoDesc */
    public function getFormaPagoDesc()
    {
        return $this->s_FormaPagoDesc;
    }

    /* Establece el valor del campo ValidezOrden */
    public function setValidezOrden( $s_ValidezOrden )
    {
        $this->s_ValidezOrden = $s_ValidezOrden;
    }

    /* Obtiene el valor del campo ValidezOrden */
    public function getValidezOrden()
    {
        return $this->s_ValidezOrden;
    }

    /* Establece el valor del campo PlazaEntregaOrden */
    public function setPlazaEntregaOrden( $s_PlazaEntregaOrden )
    {
        $this->s_PlazaEntregaOrden = $s_PlazaEntregaOrden;
    }

    /* Obtiene el valor del campo PlazaEntregaOrden */
    public function getPlazaEntregaOrden()
    {
        return $this->s_PlazaEntregaOrden;
    }

    /* Establece el valor del campo CondicionVenta */
    public function setCondicionVenta( $s_CondicionVenta )
    {
        $this->s_CondicionVenta = $s_CondicionVenta;
    }

    /* Obtiene el valor del campo CondicionVenta */
    public function getCondicionVenta()
    {
        return $this->s_CondicionVenta;
    }

    /* Establece el valor del campo DiasAlquiler */
    public function setDiasAlquiler( $i_DiasAlquiler )
    {
        $this->i_DiasAlquiler = $i_DiasAlquiler;
    }

    /* Obtiene el valor del campo DiasAlquiler */
    public function getDiasAlquiler()
    {
        return $this->i_DiasAlquiler;
    }

    /* Establece el valor del campo OrdenCompraRef */
    public function setOrdenCompraRef( $s_OrdenCompraRef )
    {
        $this->s_OrdenCompraRef = $s_OrdenCompraRef;
    }

    /* Obtiene el valor del campo OrdenCompraRef */
    public function getOrdenCompraRef()
    {
        return $this->s_OrdenCompraRef;
    }

    /* Establece el valor del campo ReferenciaTipoDocId */
    public function setReferenciaTipoDocId( $s_ReferenciaTipoDocId )
    {
        $this->s_ReferenciaTipoDocId = $s_ReferenciaTipoDocId;
    }

    /* Obtiene el valor del campo ReferenciaTipoDocId */
    public function getReferenciaTipoDocId()
    {
        return $this->s_ReferenciaTipoDocId;
    }

    /* Establece el valor del campo DocReferenciaTipo */
    public function setDocReferenciaTipo( $s_DocReferenciaTipo )
    {
        $this->s_DocReferenciaTipo = $s_DocReferenciaTipo;
    }

    /* Obtiene el valor del campo DocReferenciaTipo */
    public function getDocReferenciaTipo()
    {
        return $this->s_DocReferenciaTipo;
    }

    /* Establece el valor del campo DocReferenciaNum */
    public function setDocReferenciaNum( $s_DocReferenciaNum )
    {
        $this->s_DocReferenciaNum = $s_DocReferenciaNum;
    }

    /* Obtiene el valor del campo DocReferenciaNum */
    public function getDocReferenciaNum()
    {
        return $this->s_DocReferenciaNum;
    }

    /* Establece el valor del campo DocReferenciaId */
    public function setDocReferenciaId( $s_DocReferenciaId )
    {
        $this->s_DocReferenciaId = $s_DocReferenciaId;
    }

    /* Obtiene el valor del campo DocReferenciaId */
    public function getDocReferenciaId()
    {
        return $this->s_DocReferenciaId;
    }

    /* Establece el valor del campo DocReferenciaFecha */
    public function setDocReferenciaFecha( $d_DocReferenciaFecha )
    {
        $this->d_DocReferenciaFecha = $d_DocReferenciaFecha;
    }

    /* Obtiene el valor del campo DocReferenciaFecha */
    public function getDocReferenciaFecha()
    {
        return $this->d_DocReferenciaFecha;
    }

    /* Establece el valor del campo OrdenCredito */
    public function setOrdenCredito( $s_OrdenCredito )
    {
        $this->s_OrdenCredito = $s_OrdenCredito;
    }

    /* Obtiene el valor del campo OrdenCredito */
    public function getOrdenCredito()
    {
        return $this->s_OrdenCredito;
    }

    /* Establece el valor del campo OrdenCreditoEstado */
    public function setOrdenCreditoEstado( $s_OrdenCreditoEstado )
    {
        $this->s_OrdenCreditoEstado = $s_OrdenCreditoEstado;
    }

    /* Obtiene el valor del campo OrdenCreditoEstado */
    public function getOrdenCreditoEstado()
    {
        return $this->s_OrdenCreditoEstado;
    }

    /* Establece el valor del campo OrdenImpuestoFlag */
    public function setOrdenImpuestoFlag( $s_OrdenImpuestoFlag )
    {
        $this->s_OrdenImpuestoFlag = $s_OrdenImpuestoFlag;
    }

    /* Obtiene el valor del campo OrdenImpuestoFlag */
    public function getOrdenImpuestoFlag()
    {
        return $this->s_OrdenImpuestoFlag;
    }

    /* Establece el valor del campo OrdenExoneradoFlag */
    public function setOrdenExoneradoFlag( $s_OrdenExoneradoFlag )
    {
        $this->s_OrdenExoneradoFlag = $s_OrdenExoneradoFlag;
    }

    /* Obtiene el valor del campo OrdenExoneradoFlag */
    public function getOrdenExoneradoFlag()
    {
        return $this->s_OrdenExoneradoFlag;
    }

    /* Establece el valor del campo MonedaCod */
    public function setMonedaCod( $s_MonedaCod )
    {
        $this->s_MonedaCod = $s_MonedaCod;
    }

    /* Obtiene el valor del campo MonedaCod */
    public function getMonedaCod()
    {
        return $this->s_MonedaCod;
    }

    /* Establece el valor del campo MonedaCambioValor */
    public function setMonedaCambioValor( $f_MonedaCambioValor )
    {
        $this->f_MonedaCambioValor = $f_MonedaCambioValor;
    }

    /* Obtiene el valor del campo MonedaCambioValor */
    public function getMonedaCambioValor()
    {
        return $this->f_MonedaCambioValor;
    }

    /* Establece el valor del campo OrdenVenta */
    public function setOrdenVenta( $f_OrdenVenta )
    {
        $this->f_OrdenVenta = $f_OrdenVenta;
    }

    /* Obtiene el valor del campo OrdenVenta */
    public function getOrdenVenta()
    {
        return $this->f_OrdenVenta;
    }

    /* Establece el valor del campo OrdenVentaMN */
    public function setOrdenVentaMN( $f_OrdenVentaMN )
    {
        $this->f_OrdenVentaMN = $f_OrdenVentaMN;
    }

    /* Obtiene el valor del campo OrdenVentaMN */
    public function getOrdenVentaMN()
    {
        return $this->f_OrdenVentaMN;
    }

    /* Establece el valor del campo DsctoTipoCod */
    public function setDsctoTipoCod( $s_DsctoTipoCod )
    {
        $this->s_DsctoTipoCod = $s_DsctoTipoCod;
    }

    /* Obtiene el valor del campo DsctoTipoCod */
    public function getDsctoTipoCod()
    {
        return $this->s_DsctoTipoCod;
    }

    /* Establece el valor del campo DsctoCod */
    public function setDsctoCod( $s_DsctoCod )
    {
        $this->s_DsctoCod = $s_DsctoCod;
    }

    /* Obtiene el valor del campo DsctoCod */
    public function getDsctoCod()
    {
        return $this->s_DsctoCod;
    }

    /* Establece el valor del campo OrdenDscto */
    public function setOrdenDscto( $f_OrdenDscto )
    {
        $this->f_OrdenDscto = $f_OrdenDscto;
    }

    /* Obtiene el valor del campo OrdenDscto */
    public function getOrdenDscto()
    {
        return $this->f_OrdenDscto;
    }

    /* Establece el valor del campo OrdenDsctoMN */
    public function setOrdenDsctoMN( $f_OrdenDsctoMN )
    {
        $this->f_OrdenDsctoMN = $f_OrdenDsctoMN;
    }

    /* Obtiene el valor del campo OrdenDsctoMN */
    public function getOrdenDsctoMN()
    {
        return $this->f_OrdenDsctoMN;
    }

    /* Establece el valor del campo MontoAnticipo */
    public function setMontoAnticipo( $f_MontoAnticipo )
    {
        $this->f_MontoAnticipo = $f_MontoAnticipo;
    }

    /* Obtiene el valor del campo MontoAnticipo */
    public function getMontoAnticipo()
    {
        return $this->f_MontoAnticipo;
    }

    /* Establece el valor del campo MontoAnticipoMN */
    public function setMontoAnticipoMN( $f_MontoAnticipoMN )
    {
        $this->f_MontoAnticipoMN = $f_MontoAnticipoMN;
    }

    /* Obtiene el valor del campo MontoAnticipoMN */
    public function getMontoAnticipoMN()
    {
        return $this->f_MontoAnticipoMN;
    }

    /* Establece el valor del campo MontoExonerado */
    public function setMontoExonerado( $f_MontoExonerado )
    {
        $this->f_MontoExonerado = $f_MontoExonerado;
    }

    /* Obtiene el valor del campo MontoExonerado */
    public function getMontoExonerado()
    {
        return $this->f_MontoExonerado;
    }

    /* Establece el valor del campo MontoExoneradoMN */
    public function setMontoExoneradoMN( $f_MontoExoneradoMN )
    {
        $this->f_MontoExoneradoMN = $f_MontoExoneradoMN;
    }

    /* Obtiene el valor del campo MontoExoneradoMN */
    public function getMontoExoneradoMN()
    {
        return $this->f_MontoExoneradoMN;
    }

    /* Establece el valor del campo OrdenAfecto */
    public function setOrdenAfecto( $f_OrdenAfecto )
    {
        $this->f_OrdenAfecto = $f_OrdenAfecto;
    }

    /* Obtiene el valor del campo OrdenAfecto */
    public function getOrdenAfecto()
    {
        return $this->f_OrdenAfecto;
    }

    /* Establece el valor del campo OrdenAfectoMN */
    public function setOrdenAfectoMN( $f_OrdenAfectoMN )
    {
        $this->f_OrdenAfectoMN = $f_OrdenAfectoMN;
    }

    /* Obtiene el valor del campo OrdenAfectoMN */
    public function getOrdenAfectoMN()
    {
        return $this->f_OrdenAfectoMN;
    }

    /* Establece el valor del campo OrdenInafecto */
    public function setOrdenInafecto( $f_OrdenInafecto )
    {
        $this->f_OrdenInafecto = $f_OrdenInafecto;
    }

    /* Obtiene el valor del campo OrdenInafecto */
    public function getOrdenInafecto()
    {
        return $this->f_OrdenInafecto;
    }

    /* Establece el valor del campo OrdenInafectoMN */
    public function setOrdenInafectoMN( $f_OrdenInafectoMN )
    {
        $this->f_OrdenInafectoMN = $f_OrdenInafectoMN;
    }

    /* Obtiene el valor del campo OrdenInafectoMN */
    public function getOrdenInafectoMN()
    {
        return $this->f_OrdenInafectoMN;
    }

    /* Establece el valor del campo OrdenImpuesto */
    public function setOrdenImpuesto( $f_OrdenImpuesto )
    {
        $this->f_OrdenImpuesto = $f_OrdenImpuesto;
    }

    /* Obtiene el valor del campo OrdenImpuesto */
    public function getOrdenImpuesto()
    {
        return $this->f_OrdenImpuesto;
    }

    /* Establece el valor del campo OrdenImpuestoMN */
    public function setOrdenImpuestoMN( $f_OrdenImpuestoMN )
    {
        $this->f_OrdenImpuestoMN = $f_OrdenImpuestoMN;
    }

    /* Obtiene el valor del campo OrdenImpuestoMN */
    public function getOrdenImpuestoMN()
    {
        return $this->f_OrdenImpuestoMN;
    }

    /* Establece el valor del campo OrdenNeto */
    public function setOrdenNeto( $f_OrdenNeto )
    {
        $this->f_OrdenNeto = $f_OrdenNeto;
    }

    /* Obtiene el valor del campo OrdenNeto */
    public function getOrdenNeto()
    {
        return $this->f_OrdenNeto;
    }

    /* Establece el valor del campo OrdenNetoMN */
    public function setOrdenNetoMN( $f_OrdenNetoMN )
    {
        $this->f_OrdenNetoMN = $f_OrdenNetoMN;
    }

    /* Obtiene el valor del campo OrdenNetoMN */
    public function getOrdenNetoMN()
    {
        return $this->f_OrdenNetoMN;
    }

    /* Establece el valor del campo OrdenBaseImponible */
    public function setOrdenBaseImponible( $f_OrdenBaseImponible )
    {
        $this->f_OrdenBaseImponible = $f_OrdenBaseImponible;
    }

    /* Obtiene el valor del campo OrdenBaseImponible */
    public function getOrdenBaseImponible()
    {
        return $this->f_OrdenBaseImponible;
    }

    /* Establece el valor del campo OrdenBaseImponibleMN */
    public function setOrdenBaseImponibleMN( $f_OrdenBaseImponibleMN )
    {
        $this->f_OrdenBaseImponibleMN = $f_OrdenBaseImponibleMN;
    }

    /* Obtiene el valor del campo OrdenBaseImponibleMN */
    public function getOrdenBaseImponibleMN()
    {
        return $this->f_OrdenBaseImponibleMN;
    }

    /* Establece el valor del campo OrdenImpuestoConDscto */
    public function setOrdenImpuestoConDscto( $f_OrdenImpuestoConDscto )
    {
        $this->f_OrdenImpuestoConDscto = $f_OrdenImpuestoConDscto;
    }

    /* Obtiene el valor del campo OrdenImpuestoConDscto */
    public function getOrdenImpuestoConDscto()
    {
        return $this->f_OrdenImpuestoConDscto;
    }

    /* Establece el valor del campo OrdenImpuestoConDsctoMN */
    public function setOrdenImpuestoConDsctoMN( $f_OrdenImpuestoConDsctoMN )
    {
        $this->f_OrdenImpuestoConDsctoMN = $f_OrdenImpuestoConDsctoMN;
    }

    /* Obtiene el valor del campo OrdenImpuestoConDsctoMN */
    public function getOrdenImpuestoConDsctoMN()
    {
        return $this->f_OrdenImpuestoConDsctoMN;
    }

    /* Establece el valor del campo OrdenTotalaPagar */
    public function setOrdenTotalaPagar( $f_OrdenTotalaPagar )
    {
        $this->f_OrdenTotalaPagar = $f_OrdenTotalaPagar;
    }

    /* Obtiene el valor del campo OrdenTotalaPagar */
    public function getOrdenTotalaPagar()
    {
        return $this->f_OrdenTotalaPagar;
    }

    /* Establece el valor del campo OrdenTotalaPagarMN */
    public function setOrdenTotalaPagarMN( $f_OrdenTotalaPagarMN )
    {
        $this->f_OrdenTotalaPagarMN = $f_OrdenTotalaPagarMN;
    }

    /* Obtiene el valor del campo OrdenTotalaPagarMN */
    public function getOrdenTotalaPagarMN()
    {
        return $this->f_OrdenTotalaPagarMN;
    }

    /* Establece el valor del campo OrdenComision */
    public function setOrdenComision( $f_OrdenComision )
    {
        $this->f_OrdenComision = $f_OrdenComision;
    }

    /* Obtiene el valor del campo OrdenComision */
    public function getOrdenComision()
    {
        return $this->f_OrdenComision;
    }

    /* Establece el valor del campo OrdenObs */
    public function setOrdenObs( $u_OrdenObs )
    {
        $this->u_OrdenObs = $u_OrdenObs;
    }

    /* Obtiene el valor del campo OrdenObs */
    public function getOrdenObs()
    {
        return $this->u_OrdenObs;
    }

    /* Establece el valor del campo AnulacionComentario */
    public function setAnulacionComentario( $s_AnulacionComentario )
    {
        $this->s_AnulacionComentario = $s_AnulacionComentario;
    }

    /* Obtiene el valor del campo AnulacionComentario */
    public function getAnulacionComentario()
    {
        return $this->s_AnulacionComentario;
    }

    /* Establece el valor del campo AdminComentario */
    public function setAdminComentario( $s_AdminComentario )
    {
        $this->s_AdminComentario = $s_AdminComentario;
    }

    /* Obtiene el valor del campo AdminComentario */
    public function getAdminComentario()
    {
        return $this->s_AdminComentario;
    }

    /* Establece el valor del campo OrdenEstado */
    public function setOrdenEstado( $s_OrdenEstado )
    {
        $this->s_OrdenEstado = $s_OrdenEstado;
    }

    /* Obtiene el valor del campo OrdenEstado */
    public function getOrdenEstado()
    {
        return $this->s_OrdenEstado;
    }

    /* Establece el valor del campo EstadoDevolucion */
    public function setEstadoDevolucion( $s_EstadoDevolucion )
    {
        $this->s_EstadoDevolucion = $s_EstadoDevolucion;
    }

    /* Obtiene el valor del campo EstadoDevolucion */
    public function getEstadoDevolucion()
    {
        return $this->s_EstadoDevolucion;
    }

    /* Establece el valor del campo OrdenBloqueado */
    public function setOrdenBloqueado( $s_OrdenBloqueado )
    {
        $this->s_OrdenBloqueado = $s_OrdenBloqueado;
    }

    /* Obtiene el valor del campo OrdenBloqueado */
    public function getOrdenBloqueado()
    {
        return $this->s_OrdenBloqueado;
    }

    /* Establece el valor del campo UsuarioCreacion */
    public function setUsuarioCreacion( $s_UsuarioCreacion )
    {
        $this->s_UsuarioCreacion = $s_UsuarioCreacion;
    }

    /* Obtiene el valor del campo UsuarioCreacion */
    public function getUsuarioCreacion()
    {
        return $this->s_UsuarioCreacion;
    }

    /* Establece el valor del campo FechaCreacion */
    public function setFechaCreacion( $d_FechaCreacion )
    {
        $this->d_FechaCreacion = $d_FechaCreacion;
    }

    /* Obtiene el valor del campo FechaCreacion */
    public function getFechaCreacion()
    {
        return $this->d_FechaCreacion;
    }

    /* Establece el valor del campo UsuarioActualizacion */
    public function setUsuarioActualizacion( $s_UsuarioActualizacion )
    {
        $this->s_UsuarioActualizacion = $s_UsuarioActualizacion;
    }

    /* Obtiene el valor del campo UsuarioActualizacion */
    public function getUsuarioActualizacion()
    {
        return $this->s_UsuarioActualizacion;
    }

    /* Establece el valor del campo FechaActualizacion */
    public function setFechaActualizacion( $d_FechaActualizacion )
    {
        $this->d_FechaActualizacion = $d_FechaActualizacion;
    }

    /* Obtiene el valor del campo FechaActualizacion */
    public function getFechaActualizacion()
    {
        return $this->d_FechaActualizacion;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'OrdenId' => $this->getOrdenId(),
            'CiaCod' => $this->getCiaCod(),
            'IdSucursal' => $this->getIdSucursal(),
            'PtoVtaCod' => $this->getPtoVtaCod(),
            'IdCaja' => $this->getIdCaja(),
            'IdTurno' => $this->getIdTurno(),
            'IdProyecto' => $this->getIdProyecto(),
            'OrdenTipoId' => $this->getOrdenTipoId(),
            'OrdenTipoComercialId' => $this->getOrdenTipoComercialId(),
            'OrdenTipoClasificacionId' => $this->getOrdenTipoClasificacionId(),
            'OrdenNum' => $this->getOrdenNum(),
            'OrdenPadre' => $this->getOrdenPadre(),
            'OrdenFecha' => $this->getOrdenFecha(),
            'OrdenVenc' => $this->getOrdenVenc(),
            'FechaInicioAlq' => $this->getFechaInicioAlq(),
            'FechaFinAlq' => $this->getFechaFinAlq(),
            'AlmacenCod' => $this->getAlmacenCod(),
            'AlmacenDespacho' => $this->getAlmacenDespacho(),
            'ClienteId' => $this->getClienteId(),
            'ClienteNombre' => $this->getClienteNombre(),
            'ClienteDocCod' => $this->getClienteDocCod(),
            'ClienteDocNum' => $this->getClienteDocNum(),
            'ClienteSucursal' => $this->getClienteSucursal(),
            'FactDirec1' => $this->getFactDirec1(),
            'FactDirec2' => $this->getFactDirec2(),
            'FactDirec3' => $this->getFactDirec3(),
            'FactCiudad' => $this->getFactCiudad(),
            'FactEstado' => $this->getFactEstado(),
            'FactPais' => $this->getFactPais(),
            'VendedorCliente' => $this->getVendedorCliente(),
            'VendedorOrden' => $this->getVendedorOrden(),
            'PrecioNivel' => $this->getPrecioNivel(),
            'FactRegla' => $this->getFactRegla(),
            'ContactoMedio' => $this->getContactoMedio(),
            'ContactoNombre' => $this->getContactoNombre(),
            'CondicionVentaId' => $this->getCondicionVentaId(),
            'FormaPagoDesc' => $this->getFormaPagoDesc(),
            'ValidezOrden' => $this->getValidezOrden(),
            'PlazaEntregaOrden' => $this->getPlazaEntregaOrden(),
            'CondicionVenta' => $this->getCondicionVenta(),
            'DiasAlquiler' => $this->getDiasAlquiler(),
            'OrdenCompraRef' => $this->getOrdenCompraRef(),
            'ReferenciaTipoDocId' => $this->getReferenciaTipoDocId(),
            'DocReferenciaTipo' => $this->getDocReferenciaTipo(),
            'DocReferenciaNum' => $this->getDocReferenciaNum(),
            'DocReferenciaId' => $this->getDocReferenciaId(),
            'DocReferenciaFecha' => $this->getDocReferenciaFecha(),
            'OrdenCredito' => $this->getOrdenCredito(),
            'OrdenCreditoEstado' => $this->getOrdenCreditoEstado(),
            'OrdenImpuestoFlag' => $this->getOrdenImpuestoFlag(),
            'OrdenExoneradoFlag' => $this->getOrdenExoneradoFlag(),
            'MonedaCod' => $this->getMonedaCod(),
            'MonedaCambioValor' => $this->getMonedaCambioValor(),
            'OrdenVenta' => $this->getOrdenVenta(),
            'OrdenVentaMN' => $this->getOrdenVentaMN(),
            'DsctoTipoCod' => $this->getDsctoTipoCod(),
            'DsctoCod' => $this->getDsctoCod(),
            'OrdenDscto' => $this->getOrdenDscto(),
            'OrdenDsctoMN' => $this->getOrdenDsctoMN(),
            'MontoAnticipo' => $this->getMontoAnticipo(),
            'MontoAnticipoMN' => $this->getMontoAnticipoMN(),
            'MontoExonerado' => $this->getMontoExonerado(),
            'MontoExoneradoMN' => $this->getMontoExoneradoMN(),
            'OrdenAfecto' => $this->getOrdenAfecto(),
            'OrdenAfectoMN' => $this->getOrdenAfectoMN(),
            'OrdenInafecto' => $this->getOrdenInafecto(),
            'OrdenInafectoMN' => $this->getOrdenInafectoMN(),
            'OrdenImpuesto' => $this->getOrdenImpuesto(),
            'OrdenImpuestoMN' => $this->getOrdenImpuestoMN(),
            'OrdenNeto' => $this->getOrdenNeto(),
            'OrdenNetoMN' => $this->getOrdenNetoMN(),
            'OrdenBaseImponible' => $this->getOrdenBaseImponible(),
            'OrdenBaseImponibleMN' => $this->getOrdenBaseImponibleMN(),
            'OrdenImpuestoConDscto' => $this->getOrdenImpuestoConDscto(),
            'OrdenImpuestoConDsctoMN' => $this->getOrdenImpuestoConDsctoMN(),
            'OrdenTotalaPagar' => $this->getOrdenTotalaPagar(),
            'OrdenTotalaPagarMN' => $this->getOrdenTotalaPagarMN(),
            'OrdenComision' => $this->getOrdenComision(),
            'OrdenObs' => $this->getOrdenObs(),
            'AnulacionComentario' => $this->getAnulacionComentario(),
            'AdminComentario' => $this->getAdminComentario(),
            'OrdenEstado' => $this->getOrdenEstado(),
            'EstadoDevolucion' => $this->getEstadoDevolucion(),
            'OrdenBloqueado' => $this->getOrdenBloqueado(),
            'UsuarioCreacion' => $this->getUsuarioCreacion(),
            'FechaCreacion' => $this->getFechaCreacion(),
            'UsuarioActualizacion' => $this->getUsuarioActualizacion(),
            'FechaActualizacion' => $this->getFechaActualizacion(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto VTA_OrdenBN desde un RecordSet */
    public static function retrieveByRs( $o_VTA_OrdenRs )
    {
        $o_VTA_OrdenBN = new VTA_OrdenBN();
        $o_VTA_OrdenBN->setOrdenId( ( integer ) $o_VTA_OrdenRs[ "OrdenId" ] );
        $o_VTA_OrdenBN->setCiaCod( ( integer ) $o_VTA_OrdenRs[ "CiaCod" ] );
        $o_VTA_OrdenBN->setIdSucursal( ( integer ) $o_VTA_OrdenRs[ "IdSucursal" ] );
        $o_VTA_OrdenBN->setPtoVtaCod( $o_VTA_OrdenRs[ "PtoVtaCod" ] );
        $o_VTA_OrdenBN->setIdCaja( ( integer ) $o_VTA_OrdenRs[ "IdCaja" ] );
        $o_VTA_OrdenBN->setIdTurno( ( integer ) $o_VTA_OrdenRs[ "IdTurno" ] );
        $o_VTA_OrdenBN->setIdProyecto( ( integer ) $o_VTA_OrdenRs[ "IdProyecto" ] );
        $o_VTA_OrdenBN->setOrdenTipoId( ( integer ) $o_VTA_OrdenRs[ "OrdenTipoId" ] );
        $o_VTA_OrdenBN->setOrdenTipoComercialId( ( integer ) $o_VTA_OrdenRs[ "OrdenTipoComercialId" ] );
        $o_VTA_OrdenBN->setOrdenTipoClasificacionId( ( integer ) $o_VTA_OrdenRs[ "OrdenTipoClasificacionId" ] );
        $o_VTA_OrdenBN->setOrdenNum( $o_VTA_OrdenRs[ "OrdenNum" ] );
        $o_VTA_OrdenBN->setOrdenPadre( ( integer ) $o_VTA_OrdenRs[ "OrdenPadre" ] );
        $o_VTA_OrdenBN->setOrdenFecha( utilTimestamp::getTimestamp( $o_VTA_OrdenRs[ "OrdenFecha" ], "Y-m-d H:i:s" ) );
        $o_VTA_OrdenBN->setOrdenVenc( utilTimestamp::getTimestamp( $o_VTA_OrdenRs[ "OrdenVenc" ], "Y-m-d H:i:s" ) );
        $o_VTA_OrdenBN->setFechaInicioAlq( utilTimestamp::getTimestamp( $o_VTA_OrdenRs[ "FechaInicioAlq" ], "Y-m-d" ) );
        $o_VTA_OrdenBN->setFechaFinAlq( utilTimestamp::getTimestamp( $o_VTA_OrdenRs[ "FechaFinAlq" ], "Y-m-d" ) );
        $o_VTA_OrdenBN->setAlmacenCod( $o_VTA_OrdenRs[ "AlmacenCod" ] );
        $o_VTA_OrdenBN->setAlmacenDespacho( $o_VTA_OrdenRs[ "AlmacenDespacho" ] );
        $o_VTA_OrdenBN->setClienteId( ( integer ) $o_VTA_OrdenRs[ "ClienteId" ] );
        $o_VTA_OrdenBN->setClienteNombre( $o_VTA_OrdenRs[ "ClienteNombre" ] );
        $o_VTA_OrdenBN->setClienteDocCod( $o_VTA_OrdenRs[ "ClienteDocCod" ] );
        $o_VTA_OrdenBN->setClienteDocNum( $o_VTA_OrdenRs[ "ClienteDocNum" ] );
        $o_VTA_OrdenBN->setClienteSucursal( $o_VTA_OrdenRs[ "ClienteSucursal" ] );
        $o_VTA_OrdenBN->setFactDirec1( $o_VTA_OrdenRs[ "FactDirec1" ] );
        $o_VTA_OrdenBN->setFactDirec2( $o_VTA_OrdenRs[ "FactDirec2" ] );
        $o_VTA_OrdenBN->setFactDirec3( $o_VTA_OrdenRs[ "FactDirec3" ] );
        $o_VTA_OrdenBN->setFactCiudad( $o_VTA_OrdenRs[ "FactCiudad" ] );
        $o_VTA_OrdenBN->setFactEstado( $o_VTA_OrdenRs[ "FactEstado" ] );
        $o_VTA_OrdenBN->setFactPais( $o_VTA_OrdenRs[ "FactPais" ] );
        $o_VTA_OrdenBN->setVendedorCliente( $o_VTA_OrdenRs[ "VendedorCliente" ] );
        $o_VTA_OrdenBN->setVendedorOrden( $o_VTA_OrdenRs[ "VendedorOrden" ] );
        $o_VTA_OrdenBN->setPrecioNivel( $o_VTA_OrdenRs[ "PrecioNivel" ] );
        $o_VTA_OrdenBN->setFactRegla( $o_VTA_OrdenRs[ "FactRegla" ] );
        $o_VTA_OrdenBN->setContactoMedio( $o_VTA_OrdenRs[ "ContactoMedio" ] );
        $o_VTA_OrdenBN->setContactoNombre( $o_VTA_OrdenRs[ "ContactoNombre" ] );
        $o_VTA_OrdenBN->setCondicionVentaId( $o_VTA_OrdenRs[ "CondicionVentaId" ] );
        $o_VTA_OrdenBN->setFormaPagoDesc( $o_VTA_OrdenRs[ "FormaPagoDesc" ] );
        $o_VTA_OrdenBN->setValidezOrden( $o_VTA_OrdenRs[ "ValidezOrden" ] );
        $o_VTA_OrdenBN->setPlazaEntregaOrden( $o_VTA_OrdenRs[ "PlazaEntregaOrden" ] );
        $o_VTA_OrdenBN->setCondicionVenta( $o_VTA_OrdenRs[ "CondicionVenta" ] );
        $o_VTA_OrdenBN->setDiasAlquiler( ( integer ) $o_VTA_OrdenRs[ "DiasAlquiler" ] );
        $o_VTA_OrdenBN->setOrdenCompraRef( $o_VTA_OrdenRs[ "OrdenCompraRef" ] );
        $o_VTA_OrdenBN->setReferenciaTipoDocId( $o_VTA_OrdenRs[ "ReferenciaTipoDocId" ] );
        $o_VTA_OrdenBN->setDocReferenciaTipo( $o_VTA_OrdenRs[ "DocReferenciaTipo" ] );
        $o_VTA_OrdenBN->setDocReferenciaNum( $o_VTA_OrdenRs[ "DocReferenciaNum" ] );
        $o_VTA_OrdenBN->setDocReferenciaId( $o_VTA_OrdenRs[ "DocReferenciaId" ] );
        $o_VTA_OrdenBN->setDocReferenciaFecha( utilTimestamp::getTimestamp( $o_VTA_OrdenRs[ "DocReferenciaFecha" ], "Y-m-d H:i:s" ) );
        $o_VTA_OrdenBN->setOrdenCredito( $o_VTA_OrdenRs[ "OrdenCredito" ] );
        $o_VTA_OrdenBN->setOrdenCreditoEstado( $o_VTA_OrdenRs[ "OrdenCreditoEstado" ] );
        $o_VTA_OrdenBN->setOrdenImpuestoFlag( $o_VTA_OrdenRs[ "OrdenImpuestoFlag" ] );
        $o_VTA_OrdenBN->setOrdenExoneradoFlag( $o_VTA_OrdenRs[ "OrdenExoneradoFlag" ] );
        $o_VTA_OrdenBN->setMonedaCod( $o_VTA_OrdenRs[ "MonedaCod" ] );
        $o_VTA_OrdenBN->setMonedaCambioValor( ( float ) $o_VTA_OrdenRs[ "MonedaCambioValor" ] );
        $o_VTA_OrdenBN->setOrdenVenta( ( float ) $o_VTA_OrdenRs[ "OrdenVenta" ] );
        $o_VTA_OrdenBN->setOrdenVentaMN( ( float ) $o_VTA_OrdenRs[ "OrdenVentaMN" ] );
        $o_VTA_OrdenBN->setDsctoTipoCod( $o_VTA_OrdenRs[ "DsctoTipoCod" ] );
        $o_VTA_OrdenBN->setDsctoCod( $o_VTA_OrdenRs[ "DsctoCod" ] );
        $o_VTA_OrdenBN->setOrdenDscto( ( float ) $o_VTA_OrdenRs[ "OrdenDscto" ] );
        $o_VTA_OrdenBN->setOrdenDsctoMN( ( float ) $o_VTA_OrdenRs[ "OrdenDsctoMN" ] );
        $o_VTA_OrdenBN->setMontoAnticipo( ( float ) $o_VTA_OrdenRs[ "MontoAnticipo" ] );
        $o_VTA_OrdenBN->setMontoAnticipoMN( ( float ) $o_VTA_OrdenRs[ "MontoAnticipoMN" ] );
        $o_VTA_OrdenBN->setMontoExonerado( ( float ) $o_VTA_OrdenRs[ "MontoExonerado" ] );
        $o_VTA_OrdenBN->setMontoExoneradoMN( ( float ) $o_VTA_OrdenRs[ "MontoExoneradoMN" ] );
        $o_VTA_OrdenBN->setOrdenAfecto( ( float ) $o_VTA_OrdenRs[ "OrdenAfecto" ] );
        $o_VTA_OrdenBN->setOrdenAfectoMN( ( float ) $o_VTA_OrdenRs[ "OrdenAfectoMN" ] );
        $o_VTA_OrdenBN->setOrdenInafecto( ( float ) $o_VTA_OrdenRs[ "OrdenInafecto" ] );
        $o_VTA_OrdenBN->setOrdenInafectoMN( ( float ) $o_VTA_OrdenRs[ "OrdenInafectoMN" ] );
        $o_VTA_OrdenBN->setOrdenImpuesto( ( float ) $o_VTA_OrdenRs[ "OrdenImpuesto" ] );
        $o_VTA_OrdenBN->setOrdenImpuestoMN( ( float ) $o_VTA_OrdenRs[ "OrdenImpuestoMN" ] );
        $o_VTA_OrdenBN->setOrdenNeto( ( float ) $o_VTA_OrdenRs[ "OrdenNeto" ] );
        $o_VTA_OrdenBN->setOrdenNetoMN( ( float ) $o_VTA_OrdenRs[ "OrdenNetoMN" ] );
        $o_VTA_OrdenBN->setOrdenBaseImponible( ( float ) $o_VTA_OrdenRs[ "OrdenBaseImponible" ] );
        $o_VTA_OrdenBN->setOrdenBaseImponibleMN( ( float ) $o_VTA_OrdenRs[ "OrdenBaseImponibleMN" ] );
        $o_VTA_OrdenBN->setOrdenImpuestoConDscto( ( float ) $o_VTA_OrdenRs[ "OrdenImpuestoConDscto" ] );
        $o_VTA_OrdenBN->setOrdenImpuestoConDsctoMN( ( float ) $o_VTA_OrdenRs[ "OrdenImpuestoConDsctoMN" ] );
        $o_VTA_OrdenBN->setOrdenTotalaPagar( ( float ) $o_VTA_OrdenRs[ "OrdenTotalaPagar" ] );
        $o_VTA_OrdenBN->setOrdenTotalaPagarMN( ( float ) $o_VTA_OrdenRs[ "OrdenTotalaPagarMN" ] );
        $o_VTA_OrdenBN->setOrdenComision( ( float ) $o_VTA_OrdenRs[ "OrdenComision" ] );
        $o_VTA_OrdenBN->setOrdenObs( $o_VTA_OrdenRs[ "OrdenObs" ] );
        $o_VTA_OrdenBN->setAnulacionComentario( $o_VTA_OrdenRs[ "AnulacionComentario" ] );
        $o_VTA_OrdenBN->setAdminComentario( $o_VTA_OrdenRs[ "AdminComentario" ] );
        $o_VTA_OrdenBN->setOrdenEstado( $o_VTA_OrdenRs[ "OrdenEstado" ] );
        $o_VTA_OrdenBN->setEstadoDevolucion( $o_VTA_OrdenRs[ "EstadoDevolucion" ] );
        $o_VTA_OrdenBN->setOrdenBloqueado( $o_VTA_OrdenRs[ "OrdenBloqueado" ] );
        $o_VTA_OrdenBN->setUsuarioCreacion( $o_VTA_OrdenRs[ "UsuarioCreacion" ] );
        $o_VTA_OrdenBN->setFechaCreacion( utilTimestamp::getTimestamp( $o_VTA_OrdenRs[ "FechaCreacion" ], "Y-m-d H:i:s" ) );
        $o_VTA_OrdenBN->setUsuarioActualizacion( $o_VTA_OrdenRs[ "UsuarioActualizacion" ] );
        $o_VTA_OrdenBN->setFechaActualizacion( utilTimestamp::getTimestamp( $o_VTA_OrdenRs[ "FechaActualizacion" ], "Y-m-d H:i:s" ) );
        return $o_VTA_OrdenBN;
    }
}
?>